# Smoke's Gas Canister from Rainbow Six Siege
Please provide feedback.  
[>>[Feedback form]<<](https://forms.gle/TBEe2btHePCsGp557)  
[[How_to_use.MP4]](https://i.imgur.com/YSqiXPd.mp4) 
1. Spawn the item from "Tools & Toys" > "Remote Explosives" > "Gas Canister"
2. Spawn the C4 detonator
3. Throw the Gas Canister (it'll stick to stuff) 
4. Activate the C4 detonator
5. Small gas cloud will form usefull for blocking doorways
6. Wear a Gas Mask to **avoid damage**

### Known Bugs
* (Should be fixed) If 3 gas masks are spawned one after another, only the last one works. 
* ~~Flickering yellow circle spawns after detonation~~
* ~~Smoke no longer collides with physics objects~~
* ~~After thrown, device can only be picked up using laser-grab or gravity gloves~~

## Planned Features
- [✓] Device can be grabbed by hand after thrown (On release 1.0.0)
- [✓] Transparent smoke texture (very pretty)
- [_] Pretty textures

## Versions
### 1.1.0
* Transparent smoke texture
  * Test your computer's prowess by detonating more than 3.
### 1.0.0
* Item is grab-able after placing or throw
* Item causes 200 damage per tick, per smoke cloud
### 0.0.2
* Smoke is concentrated in 1 spot and doesn't expand
  * Intended to be used in doorways like in Rainbow 6 Siege
  * Experimental. Provide >feedback< if too boring
* Fixed sound
* Improved grabbing position
* Item causes 25 damage per tick, per smoke cloud
* Null ref bug fixed

### 0.0.1
* Item spawns and works with basic C4 detonator
* Item causes 100 damage per tick, per smoke cloud

# Lore
In the realm of Siege, where battles entwine,  
Lies Smoke, a warrior with powers malign.  
From depths he conjures his toxic haze,  
Unleashing chaos in tactical displays.  

His canister's fumes, a haunting shroud,  
Engulfing all, as adversaries are bowed.  
Through whispered breaths, poisons unfold,  
As foes succumb, in a tale grimly told.  